/* Copyright Victor Yodaiken 1999. 
   Released under the terms of the GNU Library GPL 
   */
   
#ifndef __rtl_h
#define __rtl_h

extern void rtl_make_rt_system_active(void); 
extern unsigned int rtl_rt_system_is_idle(void);
extern void rtl_make_rt_system_idle(void);

/* RTL interrupt handlers return RTL_SHARE if they want to allow a
   linux interrupt handler to share this event and they return
   RTL_NOSHARE if they are selfish and inconsiderate */
#define RTL_SHARE 1
#define RTL_NOSHARE 0
unsigned int rtl_request_global_irq(unsigned int irq, 
		unsigned int (*handler)(unsigned int, struct pt_regs *));

unsigned int rtl_free_global_irq(unsigned int irq); 
/* if you don't say local, you mean global */
#define rtl_request_irq(x) rtl_request_global_irq(x);
#define rtl_free_irq(x) rtl_free_global_irq(x);
#ifdef __SMP__
unsigned int rtl_request_local_irq(int i, unsigned int cpu);
unsigned int rtl_free_local_irq(int i, unsigned int cpu);
#endif
/* timer functions */
#include <asm/rtl_time.h>
extern RTIME (*do_rt_get_time)(void);
extern int rtl_request_timer(void (*fn)(void));
extern void rtl_free_timer(void);
extern void rtl_set_timer(RTIME ) ;
extern void rtl_no_timer(void);
extern void I8253_make_periodic(unsigned int);
extern void I8253_make_oneshot(unsigned int );
#endif
